Package ru.bitel.bgbilling.kernel.contract.object.server.bean

# Class ParamValueManager

java.lang.Object
ru.bitel.bgbilling.kernel.contract.object.server.bean.ParamValueManager

public class ParamValueManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamValueManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearParameterHistory(int objectId, int paramId, int paramTypeId)`
  Очищает историю параметра объекта
  `void`
  `copyObjectParams(int fromObject, int toObject)`
  Копирует параметры объекта в другой объект
  `void`
  `deleteActivityParamValues(int objectId)`
  Удаляет все значения параметров для данного объекта
  `ParamAddressValue`
  `getAddressParamValue(int objectId, int paramId)`
  Возвращает значение параметра объекта типа "Адрес"
  `ParamListValue`
  `getListParamValue(int objectId, int paramId)`
  Возвращает значение параметра объекта типа "Список"
  `Map<Integer,ParamValue>`
  `getObjectParamMap(int objectId)`
  Возвращает карту параметров для данного объекта договора
  `List<ParameterHistoryEntry>`
  `getParameterHistory(int objectId, int paramId, int parameterTypeId)`
  Получает историю параметра
  `static void`
  `resetParametersHistoryMap()`
  Сбрасывает кеш с флагами о необходимости ввести историю параметров
  `void`
  `searchCustomAddressParams(SearchResult<String[]> searchResult, int paramId)`
  `void`
  `updateParamValue(Object value, int userId)`
  Обновление параметра объекта договора.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamValueManager

    public ParamValueManager(Connection con)

- ## Method Details

  - ### deleteActivityParamValues

    public void deleteActivityParamValues(int objectId) throws Exception
    Удаляет все значения параметров для данного объекта
    Parameters:
      `objectId` - код объекта
    Throws:
      `Exception`

  - ### copyObjectParams

    public void copyObjectParams(int fromObject, int toObject) throws Exception
    Копирует параметры объекта в другой объект
    Parameters:
      `fromObject` - объект-источник
      `toObject` - объект-приемник
    Throws:
      `Exception`

  - ### getAddressParamValue

    public ParamAddressValue getAddressParamValue(int objectId, int paramId) throws Exception
    Возвращает значение параметра объекта типа "Адрес"
    Parameters:
      `objectId` - код объекта
      `paramId` - код параметра
    Returns:
    Throws:
      `Exception`

  - ### searchCustomAddressParams

    public void searchCustomAddressParams(SearchResult<String[]> searchResult, int paramId) throws Exception
    Throws:
      `Exception`

  - ### getListParamValue

    public ParamListValue getListParamValue(int objectId, int paramId) throws Exception
    Возвращает значение параметра объекта типа "Список"
    Parameters:
      `objectId` - код объекта
      `paramId` - код параметра
    Returns:
    Throws:
      `Exception`

  - ### updateParamValue

    public void updateParamValue(Object value, int userId) throws Exception
    Обновление параметра объекта договора.
    Parameters:
      `value` - параметр
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `Exception`

  - ### getObjectParamMap

    public Map<Integer,ParamValue> getObjectParamMap(int objectId) throws Exception
    Возвращает карту параметров для данного объекта договора
    Parameters:
      `objectId` - код объекта
    Returns:
    Throws:
      `Exception`

  - ### resetParametersHistoryMap

    public static void resetParametersHistoryMap()
    Сбрасывает кеш с флагами о необходимости ввести историю параметров

  - ### getParameterHistory

    public List<ParameterHistoryEntry> getParameterHistory(int objectId, int paramId, int parameterTypeId) throws Exception
    Получает историю параметра
    Parameters:
      `objectId` - код объекта
      `paramId` - код параметра
      `parameterTypeId` - код типа параметра
    Returns:
      список записей истории
    Throws:
      `Exception`

  - ### clearParameterHistory

    public void clearParameterHistory(int objectId, int paramId, int paramTypeId) throws Exception
    Очищает историю параметра объекта
    Parameters:
      `objectId` - код объекта
      `paramId` - код параметра
      `paramTypeId` - тип параметра
    Throws:
      `Exception`